<?
require_once '../core/system.php';
require_once 'sys.php';
echo only_reg();
$row = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$user['clan_id']."'"));
if($row[$user['clan_prava'].'_invite'] != 1 && $user['clan_prava'] < 3) {
    header("Location: /clan/");
    exit();
}
$header = 'Рекрутинг';
require_once '../core/head.php';

$error = NULL;
    $nick = mysql_real_escape_string($_POST['invite']);
    $row = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$get_id'"));
    $total = mysql_result(mysql_query("SELECT COUNT(id) FROM user WHERE `clan_id` = '".$user['clan_id']."'"), 0);
    if($row['storona'] != $user['storona']) $error = 'Нельзя отправить приглашение игроку другой рассы';
    if($total > 500) $error = 'Лимит пользователей исчерпан';
    if($row['level'] < 10) $error = 'Игрок меньше 10 уровня';
    if(empty($row['id'])) $error = 'Игрок с ником '.htmlspecialchars($_POST['invite']).' не найден';
    if($row['clan_id'] != 0) $error = 'Игрок уже состоит в клане';
    if(!$error) {
           mysql_query("update `user` set `clan_jornal` =`clan_jornal` +1  where `id`<> '$user[id]' and `clan_id`= '".$user['clan_id']."'");
        mysql_query("INSERT INTO `invite` SET `user_id` = '".$row['id']."', `clan_id` = '".$user['clan_id']."', `owner_id` = '".$user['id']."'");
        header("Location: /user/$row[id]/");
$_SESSION['message'] = 'Приглашение игроку выслано!';
exit();
    }



if($error) {
    echo '<div class="player" style="color: red">
    '.$error.'
    </div>';
}



require_once '../core/foot.php';